package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 班级评卷员绑定关系
 */
@ApiModel(value = "ExamPaperClassMarker对象", description = "班级评卷员绑定关系表")
public class ExamPaperClassMarker extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "试卷结构id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examPaperStructureId;

    @ApiModelProperty(value = "评卷员id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long markerId;

    @ApiModelProperty(value = "评卷员登录名")
    private String loginName;

    @ApiModelProperty(value = "班级")
    private String className;

    public Long getExamPaperStructureId() {
        return examPaperStructureId;
    }

    public void setExamPaperStructureId(Long examPaperStructureId) {
        this.examPaperStructureId = examPaperStructureId;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }
}
