package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 考试试卷结构同步状态
 */
public enum ExamPaperStructureStatusTypeEnum {

    STRUCTURE("structure","试卷结构"),
    GROUP("group","分组、分组绑定评卷员"),
    MARKER_CLASS("markerClass","评卷员绑定班级"),
    OBJECTIVE("objective","客观题标签"),
    MARKER_LEADER("markerLeader","科组长"),
    MARKER("marker","评卷员"),
    ANSWER_FILE("answerFile","标答文件");

    ExamPaperStructureStatusTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    private String type;
    private String desc;

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ExamPaperStructureStatusTypeEnum value : ExamPaperStructureStatusTypeEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
