package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.dto.TemplateDto;
import com.qmth.distributed.print.business.bean.result.TemplatePrintInfoResult;
import com.qmth.distributed.print.business.entity.BasicTemplate;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 通用模板 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicTemplateMapper extends BaseMapper<BasicTemplate> {

    IPage<TemplateDto> listPage(Page<TemplateDto> page, @Param("schoolId") Long schoolId, @Param("enable") Boolean enable, @Param("name") String name, @Param("startTime") Long startTime, @Param("endTime") Long endTime,@Param("dpr") DataPermissionRule dpr);

    /**
     * 查找模版(机构同级及以下)
     *
     * @param ids
     * @return
     */
    List<TemplatePrintInfoResult> findTemplateInfoByOrgIds(@Param("orgIds") List<Long> ids);
}
