package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.CloudUserPushStatus;

import java.util.List;

/**
 * @Description: 云阅卷用户推送状态服务类
 * @Author: CaoZixuan
 * @Date: 2022-08-08
 */
public interface CloudUserPushStatusService extends IService<CloudUserPushStatus> {

    /**
     * 根据用户id查询用户推送状态记录
     *
     * @param userId   用户id
     * @param schoolId 学校id
     * @return 云阅卷推送状态
     */
    CloudUserPushStatus findRecordByUserId(Long userId, Long schoolId);

    /**
     * 查找所有需要重新推送云阅卷的用户id集合
     *
     * @param schoolId 学校id
     * @return 用户id集合
     */
    List<Long> findNeedPushAgainUserIdList(Long schoolId);
}
