package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.ExamCardParams;
import com.qmth.distributed.print.business.bean.params.GenericExamCardParams;
import com.qmth.distributed.print.business.entity.ExamCard;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 题卡 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamCardService extends IService<ExamCard> {

    String saveExamCard(ExamCardParams examCardParams) throws Exception;

    List<ExamCard> listSelectCard(String courseCode, Long cardRuleId, String paperNumber);

    IPage<ExamCard> listPage(String cardType, String title, String createMethod, Boolean enable, Long createStartTime, Long createEndTime, Integer pageNumber, Integer pageSize);

    Long saveGeneric(GenericExamCardParams params) throws Exception;

    Boolean deleteGeneric(Long id);

    /**
     * 题卡复制
     *
     * @param id         被复制的题卡id
     * @param courseCode 复制后的题卡所绑定的课程编号
     * @return 复制后的题卡id
     */
    Long copyCard(Long id, String courseCode);

    void convertImage(Long id);

    void cardDownload(HttpServletResponse response, String id);

}
