package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.marking.CardJpgResult;
import com.qmth.distributed.print.business.bean.marking.GroupInfo;
import com.qmth.distributed.print.business.bean.marking.Marker;
import com.qmth.distributed.print.business.entity.ExamPaperGroup;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;

import java.util.List;

/**
 * @Description: 试卷分组服务接口
 * @Author: CaoZixuan
 * @Date: 2022-04-13
 */
public interface ExamPaperGroupService extends IService<ExamPaperGroup> {

    /**
     * 保存考试试卷分组信息
     *
     * @param examPaperStructure 试卷结构对象
     * @param groupInfo          分组信息
     */
    void saveExamPaperGroupInfo(ExamPaperStructure examPaperStructure, List<GroupInfo> groupInfo);

    /**
     * 删除考试试卷分组信息
     *
     * @param examPaperStructureId 试卷结构id
     */
    void deleteExamPaperGroupInfo(Long examPaperStructureId);

    /**
     * 查询分组
     *
     * @param id 试卷结构表id
     */
    List<ExamPaperGroup> listByExamPaperStructureId(Long id);

    void saveExamPaperGroupMarkerByGroupNumber(ExamPaperStructure examPaperStructure, Integer groupNumber, List<Marker> markerList);
}
