package com.qmth.distributed.print.api.mark;


import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import com.qmth.teachcloud.mark.dto.mark.manage.Task;
import com.qmth.teachcloud.mark.service.MarkTrackService;
import com.qmth.teachcloud.mark.service.TaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 轨迹给分表 前端控制器
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Api(tags = "评卷-评卷轨迹")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_MARK + "/track")
public class MarkTrackController {

    @Resource
    private MarkTrackService markTrackService;
    @Resource
    private TaskService taskService;

    /**
     * 轨迹图
     */
    @ApiOperation(value = "轨迹图")
    @RequestMapping(value = "/getTask", method = RequestMethod.POST)
    public Result listStudentScore(@ApiParam(value = "考生ID", required = true) @RequestParam Long studentId) {
        Task task = taskService.build(studentId);
        return ResultUtil.ok(task);
    }

}
