package com.qmth.distributed.print.api.mark;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.util.ServletUtil;
import com.qmth.teachcloud.mark.dto.refix.AnswerRefixDomain;
import com.qmth.teachcloud.mark.dto.refix.AnswerRefixVo;
import com.qmth.teachcloud.mark.service.ScanRefixBatchService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 * 题卡 前端控制器
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Api(tags = "扫描-考生题卡")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_SCAN + "/answer")
public class ScanAnswerController {

	@Autowired
	private ScanRefixBatchService refixBatchService;

	@ApiOperation(value = "答题卡二次识别")
	@RequestMapping(value = "refix", method = RequestMethod.POST)
	public AnswerRefixVo refix(@Validated @RequestBody AnswerRefixDomain query) {
		SysUser user = (SysUser) ServletUtil.getRequestUser();
		return refixBatchService.answerRefix(user.getId(), query);
	}

}
