package com.qmth.distributed.print.api.mark;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.distributed.print.business.service.BasicExamService;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.entity.BasicExam;
import com.qmth.teachcloud.common.util.RedisUtil;
import com.qmth.teachcloud.mark.bean.scanexaminfo.ScanExamCheckInfoVo;
import com.qmth.teachcloud.mark.bean.scanexaminfo.ScanExamInfoVo;
import com.qmth.teachcloud.mark.service.MarkStudentService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "扫描汇总接口")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_SCAN+"/exam")
public class ScanExamController {
    @Resource
    private MarkStudentService markStudentService;
    @Resource
    private BasicExamService basicExamService;
    @Resource
    private RedisUtil redisUtil;
    
    @ApiOperation(value = "扫描汇总-答题卡扫描、签到表扫描")
    @RequestMapping(value = "card/info", method = RequestMethod.POST)
    public ScanExamInfoVo cardInfo(@RequestParam Long examId) {
    	BasicExam exam=basicExamService.getById(examId);
        return markStudentService.getScanExamInfo(exam);
    }
    
    @ApiOperation(value = "扫描汇总-数据校对")
    @RequestMapping(value = "check/info", method = RequestMethod.POST)
    public ScanExamCheckInfoVo checkInfo(@RequestParam Long examId) {
    	BasicExam exam=basicExamService.getById(examId);
        return markStudentService.checkInfo(exam);
    }
}
