package com.qmth.distributed.print;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.qmth.teachcloud.common.bean.dto.stmms.QuestionDTO;
import com.qmth.teachcloud.common.enums.ObjectiveTypeEnum;
import org.apache.commons.lang3.StringUtils;

import java.util.List;
import java.util.stream.Collectors;

public class Objective {

    public static void main(String[] args) {
        String objectiveStructure = "[{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":true,\"totalScore\":2,\"subNumber\":1,\"optionCount\":4,\"expandSub\":true,\"answer\":\"A\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"rlkoe4s80dhvsgl8\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":2,\"optionCount\":4,\"expandSub\":true,\"answer\":\"B\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"6bv0hqg6immijg08\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":3,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"vpdc0joov5h4qat8\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":4,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"1d164baot3dog7mo\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":5,\"optionCount\":4,\"expandSub\":true,\"answer\":\"D\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"83nru558ja0oln4q\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":6,\"optionCount\":4,\"expandSub\":true,\"answer\":\"A\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"9lsag68fdsdle3r8\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":7,\"optionCount\":4,\"expandSub\":true,\"answer\":\"B\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"tcmd4808m21eqqqi\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":8,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"t00hkakgqmk9kpuh\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":9,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"jd48oc3f1u21b8pg\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":10,\"optionCount\":4,\"expandSub\":true,\"answer\":\"D\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"jkqfcfapoo3mpv3o\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":11,\"optionCount\":4,\"expandSub\":true,\"answer\":\"A\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"fkftnbgrgt7afn5g\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":12,\"optionCount\":4,\"expandSub\":true,\"answer\":\"B\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"sj4eb1jgeh71csuo\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":13,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"7grnmg687vmfd5jg\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":14,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"vrp6ibdhbkk2mlbf\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":15,\"optionCount\":4,\"expandSub\":true,\"answer\":\"D\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"4oqlddrof74hfh68\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":16,\"optionCount\":4,\"expandSub\":true,\"answer\":\"A\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"s8642ea8ksq1oq6o\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":17,\"optionCount\":4,\"expandSub\":true,\"answer\":\"B\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"8p244ia883f569f8\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":18,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"v9fa0tvl7i4a4q4g\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":19,\"optionCount\":4,\"expandSub\":true,\"answer\":\"C\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"a430k0b8una5efd8\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"},{\"typeName\":\"单选题\",\"qType\":\"objective\",\"type\":1,\"mainFirstSub\":false,\"totalScore\":2,\"subNumber\":20,\"optionCount\":4,\"expandSub\":true,\"answer\":\"D\",\"mainTitle\":\"一、单项选择题（本大题共20小题，每小题2分，共40分）\",\"objectivePolicy\":\"NONE\",\"id\":\"juqhcnogvqdj92pi\",\"mainNumber\":1,\"mainId\":\"oh34jtjrrtf17f98\"}]";
        if (StringUtils.isNotBlank(objectiveStructure)) {
            List<JSONObject> objectiveJsons = JSONObject.parseArray(objectiveStructure, JSONObject.class);
            List<QuestionDTO> syncObjectiveStructureDatas = objectiveJsons.stream().map(m -> {
                QuestionDTO syncStructureData = new QuestionDTO();
                syncStructureData.setMainNumber(m.getInteger("mainNumber"));
                syncStructureData.setSubNumber(m.getString("subNumber"));
                syncStructureData.setMainTitle(m.getString("mainTitle"));
                syncStructureData.setTotalScore(m.getDouble("totalScore"));
                syncStructureData.setAnswer(m.getString("answer"));
                if (m.containsKey("type")) {
                    syncStructureData.setType(ObjectiveTypeEnum.getByType(m.getInteger("type")));
                }
                if (m.containsKey("objectivePolicy")) {
                    syncStructureData.setObjectivePolicy(m.getString("objectivePolicy"));
                }
                return syncStructureData;
            }).collect(Collectors.toList());

            System.out.println(JSON.toJSONString(syncObjectiveStructureDatas));
        }
    }
}
