package com.qmth.teachcloud.common.enums;

/**
 * 客观题类型enum
 */
public enum ObjectiveTypeEnum {

    SINGLE(1, "单选题"),
    MULTIPLE(2, "多选题"),

    TRUE_OR_FALSE(3, "判断题");

    private int type;
    private String name;

    private ObjectiveTypeEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    /**
     * 状态转换 toName
     *
     * @param type
     * @return
     */
    public static String getByType(int type) {
        for (ObjectiveTypeEnum e : ObjectiveTypeEnum.values()) {
            if (type == e.getType()) {
                return e.name();
            }
        }
        return null;
    }
}
