package com.qmth.teachcloud.common.enums.mark;

import java.util.LinkedList;
import java.util.List;

public enum MarkArbitrateStatus {

    WAITING("待处理", 0), MARKED("已给分", 1);

    private String name;

    private int value;

    private static List<MarkArbitrateStatus> options;

    private MarkArbitrateStatus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkArbitrateStatus findByValue(int value) {
        for (MarkArbitrateStatus c : MarkArbitrateStatus.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }

    public static List<MarkArbitrateStatus> getOptionList() {
        if (options == null) {
            options = new LinkedList<>();
            for (MarkArbitrateStatus status : MarkArbitrateStatus.values()) {
                options.add(status);
            }
        }
        return options;
    }
}
