package com.qmth.teachcloud.mark.dto.mark.manage;

import com.qmth.teachcloud.mark.dto.mark.score.SheetUrlDto;
import com.qmth.teachcloud.mark.entity.MarkPaper;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class Task implements Serializable {

    private static final long serialVersionUID = 4912665442008033200L;

    /**
     * 评卷任务编号
     */
    private Long libraryId;

    /**
     * 考生编号
     */
    private Long studentId;

    /**
     * 显示考生密号
     */
    private String secretNumber;

    /**
     * 考生名称
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 科目
     */
    private MarkPaper markPaper;

    /**
     * 多媒体地址
     */
    private String jsonUrl;

    /**
     * 给分步骤
     */
    private List<MarkStepDTO> questionList;

    /**
     * 特殊标记列表
     */
//    private SpecialTagDTO[] specialTagList;

    /**
     * 组长特殊标记列表
     */
//    private SpecialTagDTO[] headerTagList;

    /**
     * 题卡原图地址
     */
    private List<SheetUrlDto> sheetUrls;

    /**
     * 客观题总分
     */
    private Double objectiveScore;

    /**
     * 评分
     */
    private Double markerScore;

    /**
     * 评卷时间
     */
    private Long markerTime;

    /**
     * 是否自评
     */
    private boolean isSelf;

    /**
     * 是否回评
     */
    private boolean isPrevious;

    /**
     * 是否打回
     */
    private boolean isRejected;

    /**
     * 评卷员登录名
     */
    private String markerName;

    /**
     * 复核时间
     */
    private Date inspectTime;

    /**
     * 错误信息
     */
    private String message;

    public Long getLibraryId() {
        return libraryId;
    }

    public void setLibraryId(Long libraryId) {
        this.libraryId = libraryId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public MarkPaper getMarkPaper() {
        return markPaper;
    }

    public void setMarkPaper(MarkPaper markPaper) {
        this.markPaper = markPaper;
    }

    public String getJsonUrl() {
        return jsonUrl;
    }

    public void setJsonUrl(String jsonUrl) {
        this.jsonUrl = jsonUrl;
    }

    public List<MarkStepDTO> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<MarkStepDTO> questionList) {
        this.questionList = questionList;
    }

    public List<SheetUrlDto> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<SheetUrlDto> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(Double markerScore) {
        this.markerScore = markerScore;
    }

    public Long getMarkerTime() {
        return markerTime;
    }

    public void setMarkerTime(Long markerTime) {
        this.markerTime = markerTime;
    }

    public boolean isSelf() {
        return isSelf;
    }

    public void setSelf(boolean isSelf) {
        this.isSelf = isSelf;
    }

    public boolean isPrevious() {
        return isPrevious;
    }

    public void setPrevious(boolean isPrevious) {
        this.isPrevious = isPrevious;
    }

    public boolean isRejected() {
        return isRejected;
    }

    public void setRejected(boolean isRejected) {
        this.isRejected = isRejected;
    }

    public String getMarkerName() {
        return markerName;
    }

    public void setMarkerName(String markerName) {
        this.markerName = markerName;
    }

    public Date getInspectTime() {
        return inspectTime;
    }

    public void setInspectTime(Date inspectTime) {
        this.inspectTime = inspectTime;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
