package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.common.bean.dto.mark.MarkSettingDto;
import com.qmth.teachcloud.mark.dto.mark.score.CheckScoreListDto;
import com.qmth.teachcloud.mark.entity.MarkPaper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.enums.mark.MarkPaperStatus;

import java.util.List;

/**
 * <p>
 * 考试科目表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkPaperService extends IService<MarkPaper> {

    IPage<MarkSettingDto> listPaperSetting(Long examId, String courseCode, String paperNumber, Boolean groupStatus, Integer pageNumber, Integer pageSize);

    MarkPaper getByExamIdAndPaperNumber(Long examId, String paperNumber);

    void savePaperSetting(MarkPaper markPaper);

    Boolean finishPaper(Long examId, List<String> paperNumbers, MarkPaperStatus status);

    List<MarkPaper> listQualityMarkPaperByStatus(MarkPaperStatus formal, int uploadCount);

	int getCountByExam(Long id);

    IPage<CheckScoreListDto> listStudentScoreList(Long examId, String courseCode, String paperNumber, Integer pageNumber, Integer pageSize);
}
