package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.entity.MarkQuestion;
import com.qmth.teachcloud.mark.params.MarkObjectiveQuestionParams;
import com.qmth.teachcloud.mark.params.MarkQuestionParams;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 小题信息表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkQuestionService extends IService<MarkQuestion> {

    /**
     * 查询分组的分组题目
     *
     * @param examId      考试ID
     * @param paperNumber 试卷编号
     * @param groupNumber 分组号
     */
    String assembleGroupQuestionsByExamIdAndPaperNumberAndNumber(Long examId, String paperNumber, Integer groupNumber);

    List<MarkQuestion> listQuestionByExamIdAndPaperNumber(Long examId, String paperNumber);

    void saveQuestions(MarkQuestionParams markQuestionParams);

    List<MarkQuestion> listQuestionByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer number, Boolean isObjective);

    void saveObjectiveQuestions(MarkObjectiveQuestionParams markObjectiveQuestionParams);

    String uploadSubjectiveFile(Long examId, String paperNumber, MultipartFile file, String md5);

    String previewAnswerFileByExamIdAndPaperNumber(Long examId, String paperNumber);

    double sumTotalScoreByGroupNumber(Long examId, String paperNumber, Integer groupNumber);

    long countQuestionByExamIdAndPaperNumberAndGroupNumberIsNull(Long examId, String paperNumber, boolean isObjective);
}
