package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkManageDto;
import com.qmth.teachcloud.mark.entity.MarkTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.enums.MarkTaskStatus;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 评卷任务表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkTaskService extends IService<MarkTask> {

    IPage<MarkManageDto> listPaperManage(Long examId, String courseCode, String paperNumber, Boolean progressStatus, Integer pageNumber, Integer pageSize);

    void exportMarker(Long examId, String courseCode, String paperNumber, HttpServletResponse response);

    List<MarkTask> listByExamIdAndPaperNumberAndGroupNumberAndUserId(Long examId, String paperNumber, Integer groupNumber, Long userId);

    Integer markedCount(List<MarkTask> groupNumberMarkTask);

    Integer waitArbitrateCount(List<MarkTask> groupNumberMarkTask);

    Double calcPercent(Integer markedCount, Integer taskCount);

    int countByExamIdAndPaperNumberAndGroupNumberAndUserId(Long examId, String paperNumber, Integer groupNumber, Long userId);

    List<MarkTask> listByExamIdAndPaperNumberAndGroupNumberAndUserIdAndStatusNotIn(Long examId, String paperNumber, Integer groupNumber, Long userId, List<MarkTaskStatus> statusList);

    boolean resetById(Long markTaskId, Long userId, Long rejecterId, Long date, MarkTaskStatus newStatus);

    int countByExamIdAndPaperNumberAndGroupNumberAndStatusIn(Long examId, String paperNumber, Integer groupNumber, List<MarkTaskStatus> statusList);

    MarkTask getLastOneByUserIdAndStatus(Long examId, String paperNumber, Integer groupNumber, Long userId, MarkTaskStatus status);

    List<MarkTask> listByExamIdAndPaperNumberAndGroupNumberAndStudentId(Long examId, String paperNumber, Integer groupNumber, Long studentId);
    List<MarkTask> listByStudentIdAndGroupNumber(Long studentId, Integer groupNumber);

    void updateHeaderResult(Long examId, String paperNumber, Integer groupNumber, Long studentId, Long updateUserId, Double totalScore, String scoreList, Long updateTime, MarkTaskStatus arbitrated);
}
