package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.mark.dto.mark.entrance.MarkEntranceDto;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkQualityChartDto;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkQualityDto;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkUserGroupProgressDto;
import com.qmth.teachcloud.common.bean.dto.mark.MarkUser;
import com.qmth.teachcloud.mark.entity.MarkUserGroup;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 评卷员表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkUserGroupService extends IService<MarkUserGroup> {

    IPage<MarkEntranceDto> listEntranceGroup(Long examId, String courseCode, String paperNumber, Integer pageNumber, Integer pageSize);

    List<MarkUser> listGroupUserByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer number);

    IPage<MarkUserGroupProgressDto> pageGroupUserByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber, String loginName, Integer pageNumber, Integer pageSize);

    void addMarkUserGroup(Long examId, String paperNumber, Integer groupNumber, List<Long> userIds);

    void setTaskCount(List<Long> markUserGroupIds, Integer taskCount);

    MarkUserGroup getByExamIdAndPaperNumberAndGroupNumberAndUserId(Long examId, String paperNumber, Integer groupNumber, Long userId);

    void deleteMarker(Long markUserGroupId);

    void releaseMarker(List<Long> markUserGroupIds);

    boolean resetMarker(Long markUserGroupId);

    void resetById(Long id);

    IPage<MarkQualityDto> pageQuality(Long examId, String paperNumber, Integer groupNumber, Long userId, Integer pageNumber, Integer pageSize);

    void updateQuality(Long examId, String paperNumber, Integer groupNumber);

    List<MarkUserGroup> listByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

    void updateQualityById(Long markUserGroupId, int finishCount, int validCount, double v, double avgScore, double stdevScore);

    List<MarkQualityChartDto> listQualityChart(Long examId, String paperNumber, Integer groupNumber);
}
