package com.qmth.teachcloud.mark.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.enums.scan.ConditionType;
import com.qmth.teachcloud.mark.dto.ScanOmrTaskDto;
import com.qmth.teachcloud.mark.dto.ScanOmrTaskResultDto;
import com.qmth.teachcloud.mark.dto.ScanOmrTaskSaveDto;
import com.qmth.teachcloud.mark.dto.ScanOmrTaskStatusDto;
import com.qmth.teachcloud.mark.entity.ScanOmrTask;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanOmrTaskService extends IService<ScanOmrTask> {
	
	ScanOmrTask buildTask(ConditionType c, Long studentId);

	ScanOmrTaskDto getTask(Long examId, Long userId);

	ScanOmrTaskSaveDto submitTask(ScanOmrTaskResultDto result, SysUser user);

	ScanOmrTaskStatusDto getStatus(Long examId, Long userId);

	void releaseByUser(Long examId, Long userId);

	ScanOmrTaskDto history(Long examId, Long taskId, Long userId, Boolean next);

	List<ScanOmrTask> findUnMarked(Long examId, int pageNumber, int pageSize, OmrTaskStatus status);

	boolean hasApplied(ScanOmrTask task, String userId);

	boolean apply(ScanOmrTask task, String userId);

	int getCountByExamAndStatusAndUserId(Long examId, Long userId, OmrTaskStatus... status);

	int getCountByExamAndStatus(Long examId, OmrTaskStatus... status);

	boolean hasApplied(ScanOmrTask t, Long userId);

	void releaseByTask(ScanOmrTask t);

	void deleteByStudentId(Long examId, Long studentId);

	int getCount(Long examId, OmrTaskStatus status);

}
