package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.enums.mark.SubjectiveStatus;
import com.qmth.teachcloud.mark.entity.MarkGroupStudent;
import com.qmth.teachcloud.mark.mapper.MarkGroupStudentMapper;
import com.qmth.teachcloud.mark.service.MarkGroupStudentService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考生分组状态表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class MarkGroupStudentServiceImpl extends ServiceImpl<MarkGroupStudentMapper, MarkGroupStudent> implements MarkGroupStudentService {

    @Override
    public long countByStudentIdAndStatus(Long studentId, SubjectiveStatus marked) {
        QueryWrapper<MarkGroupStudent> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkGroupStudent::getStudentId, studentId)
                .eq(MarkGroupStudent::getStatus, marked);
        return this.count(queryWrapper);
    }
}
