package com.qmth.teachcloud.mark.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.exception.ParameterException;
import com.qmth.teachcloud.mark.entity.ScanPaperPage;
import com.qmth.teachcloud.mark.mapper.ScanPaperPageMapper;
import com.qmth.teachcloud.mark.service.ScanPaperPageService;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class ScanPaperPageServiceImpl extends ServiceImpl<ScanPaperPageMapper, ScanPaperPage>
		implements ScanPaperPageService {

	@Override
	public ScanPaperPage findPaperIdAndIndex(Long paperId, Integer index) {
		if (paperId == null) {
			throw new ParameterException("paperId不能为空");
		}
		if (index == null) {
			throw new ParameterException("index不能为空");
		}
		QueryWrapper<ScanPaperPage> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<ScanPaperPage> lw = wrapper.lambda();
		lw.eq(ScanPaperPage::getPaperId, paperId);
		lw.eq(ScanPaperPage::getPageIndex, index);
		return baseMapper.selectOne(wrapper);
	}

	@Override
	public List<ScanPaperPage> listByPaperId(Long paperId) {
		if (paperId == null) {
			throw new ParameterException("paperId不能为空");
		}
		QueryWrapper<ScanPaperPage> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<ScanPaperPage> lw = wrapper.lambda();
		lw.eq(ScanPaperPage::getPaperId, paperId);
		return baseMapper.selectList(wrapper);
	}

}
