package com.qmth.teachcloud.mark.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.ScanStudentPaper;
import com.qmth.teachcloud.mark.mapper.ScanStudentPaperMapper;
import com.qmth.teachcloud.mark.service.ScanStudentPaperService;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class ScanStudentPaperServiceImpl extends ServiceImpl<ScanStudentPaperMapper, ScanStudentPaper>
		implements ScanStudentPaperService {

	@Override
	public List<ScanStudentPaper> findByStudentId(Long studentId) {
		QueryWrapper<ScanStudentPaper> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<ScanStudentPaper> lw = wrapper.lambda();
		lw.eq(ScanStudentPaper::getStudentId, studentId);
		wrapper.orderByAsc("paper_number");
		return this.list(wrapper);
	}

	@Override
	public ScanStudentPaper findByPaperId(Long paperId) {
		QueryWrapper<ScanStudentPaper> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<ScanStudentPaper> lw = wrapper.lambda();
		lw.eq(ScanStudentPaper::getPaperId, paperId);
		return baseMapper.selectOne(wrapper);
	}

}
