package com.qmth.teachcloud.task.job.service;

import java.io.IOException;

/**
 * @Description: job service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public interface JobService {

    /**
     * 重新生成pdf失败任务
     *
     * @throws IOException
     */
    void resetCreatePdfTask() throws IOException;

    /**
     * 发送即将到期数据
     */
    void sendSmsExpireTask();

    /**
     * 发送逾期数据
     */
    void sendSmsOverdueTask();

    /**
     * 重发失败短信
     */
    void resendSmsTask();

    /**
     * 自动统分
     */
    void subjectCalculate();

    /**
     * 组装job
     *
     * @param redisKey
     */
    public void assembleJob(String redisKey);

    /**
     * 机器心跳
     */
    void machineHeart();

    void updateMarkerQuality();
}
